Package com.logicaldoc.core.parser

# Class ZABWParser

java.lang.Object
com.logicaldoc.core.parser.AbstractParser
com.logicaldoc.core.parser.ZABWParser

All Implemented Interfaces:
  `Parser`

public class ZABWParser extends AbstractParser
Text extractor for AbiWord compressed documents.

Since:
  3.5
Author:
  Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`ZABWParser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalParse(InputStream input, ParseParameters parameters, StringBuilder content)`
`String`
`parse(File file, String filename, String encoding, Locale locale, String tenant, Document document, String fileVersion)`
Same as `Parser.parse(InputStream, ParseParameters)`, but use this when you have a file rather than a stream.

### Methods inherited from class com.logicaldoc.core.parser.AbstractParser

`countPages, countPages, parse, parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZABWParser

public ZABWParser()

## Method Details

### parse

public String parse(File file, String filename, String encoding, Locale locale, String tenant, Document document, String fileVersion)
Description copied from interface: `Parser`
Same as `Parser.parse(InputStream, ParseParameters)`, but use this when you have a file rather than a stream.

Specified by:
  `parse` in interface `Parser`
Overrides:
  `parse` in class `AbstractParser`
Parameters:
  `file` - the file
  `filename` - name of the file
  `encoding` - character encoding
  `locale` - the locale
  `tenant` - name of the tenant
  `document` - the document the file belongs to (optional)
  `fileVersion` - the file version being processed (optional)
Returns:
  the extracted text

### internalParse

public void internalParse(InputStream input, ParseParameters parameters, StringBuilder content)